Loading...
Searching...
No Matches
BALL::VIEW::DownloadElectronDensity Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/downloadElectronDensity.h>`

Inheritance diagram for BALL::VIEW::DownloadElectronDensity:

## Public Slots

void | slotDownload ()
void | idChanged ()
void | serverChanged ()
void | typeChanged ()
void | pdbDownloadChecked ()
virtual void | abort ()
void | downloadFinished ()
void | downloadProgress (qint64 received, qint64 total)

## Public Member Functions

| DownloadElectronDensity (QWidget *parent=0, const char *name="DownloadElectronDensityDialog", bool modal=false, Qt::WindowFlags fl=0)
| ~DownloadElectronDensity ()
virtual void | initializeWidget (VIEW::MainControl &main_control)
virtual void | fetchPreferences (INIFile &inifile)
virtual void | writePreferences (INIFile &inifile)
void | setEDSPrefix (String s)
void | setEDSSuffix (String s)
void | setEMDBPrefix (String s)
void | setEMDBSuffix (String s)
void | checkMenu (MainControl &mc)
Public Member Functions inherited from BALL::VIEW::ModularWidget
| ModularWidget (const char *name="<ModularWidget>")
| ModularWidget (const ModularWidget &widget)
virtual | ~ModularWidget ()
virtual void | destroy ()
virtual void | clear ()
QAction * | insertMenuEntry (Position parent_id, const QString &name, const QObject *receiver=0, const char *slot=0, const String &description="", QKeySequence accel=QKeySequence(), const QString &menu_hint=QString(""), UIOperationMode::OperationMode minimal_mode=UIOperationMode::MODE_ALL)
BALL_DEPRECATED void | setMenuHelp (QAction *, const String &)
virtual BALL_DEPRECATED void | registerForHelpSystem (const QObject *, const String &)
virtual void | addToolBarEntries (QToolBar *main_tb)
void | setIcon (QAction *action, const String &filename, bool add_to_main_toolbar=true)
virtual void | initializePreferencesTab (Preferences &preferences)
virtual void | finalizePreferencesTab (Preferences &preferences)
virtual void | applyPreferences ()
bool | lockComposites ()
bool | unlockComposites ()
| Unlock the Composites.
MainControl * | getMainControl () const
virtual void | setStatusbarText (const String &text, bool important=false)
virtual void | setStatusbarText (const QString &text, bool important=false)
String | getWorkingDir ()
| Implemented for convenience.
void | setWorkingDir (const String &dir)
| Implemented for convenience.
FragmentDB & | getFragmentDB () const
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
void | setWorkingDirFromFilename_ (String filename)
virtual BALL_DEPRECATED void | showHelp (const String &)
virtual void | finalizeWidget (MainControl &main_control)
virtual bool | canHandle (const String &) const
virtual bool | openFile (const String &)
Public Member Functions inherited from BALL::Embeddable
| Embeddable (const String &identifier="<Embeddable>")
| Embeddable (const Embeddable &embeddable)
virtual | ~Embeddable ()
void | setIdentifier (const String &identifier)
const String & | getIdentifier () const
void | unregisterThis ()
virtual void | registerThis ()
Public Member Functions inherited from BALL::VIEW::ConnectionObject
| ConnectionObject ()
virtual | ~ConnectionObject ()
void | registerConnectionObject (ConnectionObject &object)
void | unregisterConnectionObject (ConnectionObject &object)
bool | isConnectionObjectRegistered (const ConnectionObject &object)
ConnectionObject * | getParent () const
ConnectionObject * | getRoot ()
virtual void | onNotify (Message *message)
virtual bool | isValid () const

## Protected Member Functions

void | downloadStarted_ ()
void | downloadEnded_ ()
bool | threadedDownload_ (const String &url)
void | removeFile_ (const String &filename)
void | notify_ (Message *message)
void | notify_ (Message &message)
void | onNotify_ (Message *message)

## Protected Attributes

bool | aborted_
bool | error_
HashMap< String, QImage > | image_cache_
HashSet< String > | unsupported_images_
QAction * | menu_id_
String | eds_prefix_
String | eds_infix_
String | eds_suffix_
String | emdb_prefix_
String | emdb_infix_
String | emdb_suffix_
QNetworkReply * | current_reply_
QProgressBar * | progress_bar_
QNetworkAccessManager * | network_manager_
QAction * | window_menu_entry_
bool | show_window_enty_
bool | default_visible_
QList< QAction * > | main_toolbar_actions_

## Additional Inherited Members

Public Types inherited from BALL::Embeddable
typedef std::vector< Embeddable * > | EmbeddableVector
static void | registerWidget (ModularWidget *mwidget)
static void | registerInstance_ (const std::type_info &type, const Embeddable *instance)
static void | unregisterInstance_ (const Embeddable *instance)
static Size | countInstances_ (const std::type_info &type)
static Embeddable * | getInstance_ (const std::type_info &type, Position index)
static Embeddable * | getInstance_ (const std::type_info &type, const String &identifier)

## Detailed Description

Dialog to search for and download electron density maps from either the Uppsala Electron-Density Server or the Electron Microscopy Data Bank.

Definition at line 35 of file downloadElectronDensity.h.

## Constructor & Destructor Documentation

## DownloadElectronDensity()

BALL::VIEW::DownloadElectronDensity::DownloadElectronDensity | ( | QWidget * | parent = 0,
|  | const char * | name = "DownloadElectronDensityDialog",
|  | bool | modal = false,
|  | Qt::WindowFlags | fl = 0 )

## ~DownloadElectronDensity()

BALL::VIEW::DownloadElectronDensity::~DownloadElectronDensity | ( |  | ) |

## Member Function Documentation

## abort

virtual void BALL::VIEW::DownloadElectronDensity::abort | ( |  | ) |

virtual slot

## checkMenu()

void BALL::VIEW::DownloadElectronDensity::checkMenu | ( | MainControl & | main_control | ) |

virtual

Menu checking method. This method is called MainControl::checkMenus before a popup menu is shown. It should be used to update the state of menu entries (e.g. disable or enable entries).

Parameters

  main_control | the MainControl object whose menus should be checked

Reimplemented from BALL::VIEW::ModularWidget.

## downloadEnded_()

void BALL::VIEW::DownloadElectronDensity::downloadEnded_ | ( |  | ) |

protected

## downloadFinished

void BALL::VIEW::DownloadElectronDensity::downloadFinished | ( |  | ) |

slot

## downloadProgress

void BALL::VIEW::DownloadElectronDensity::downloadProgress | ( | qint64 | received,
|  | qint64 | total )

slot

## downloadStarted_()

void BALL::VIEW::DownloadElectronDensity::downloadStarted_ | ( |  | ) |

protected

## fetchPreferences()

virtual void BALL::VIEW::DownloadElectronDensity::fetchPreferences | ( | INIFile & | inifile | ) |

virtual

Fetch the widgets preferences from the INIFile. This method is called automatically by MainControl::show() at the start of the application.

Parameters

  inifile | the INIFile that contains the needed values

See also
  writePreferences

Reimplemented from BALL::VIEW::ModularWidget.

## idChanged

void BALL::VIEW::DownloadElectronDensity::idChanged | ( |  | ) |

slot

## initializeWidget()

virtual void BALL::VIEW::DownloadElectronDensity::initializeWidget | ( | VIEW::MainControl & | main_control | ) |

virtual

Initialize the widget. This method is called automatically immediately before the main application is started. It should add the widget's menu entries and connections (if required). This method will be called by MainControl::show.

Parameters

  main_control | the MainControl object to be initialized with this ModularWidget

See also
  finalizeWidget()

Reimplemented from BALL::VIEW::ModularWidget.

## pdbDownloadChecked

void BALL::VIEW::DownloadElectronDensity::pdbDownloadChecked | ( |  | ) |

slot

## removeFile_()

void BALL::VIEW::DownloadElectronDensity::removeFile_ | ( | const String & | filename | ) |

protected

## serverChanged

void BALL::VIEW::DownloadElectronDensity::serverChanged | ( |  | ) |

slot

## setEDSPrefix()

void BALL::VIEW::DownloadElectronDensity::setEDSPrefix | ( | String | s | ) |

inline

Set the prefix for the Uppsala Electron Density Server url
Standard: http://www.eds.bmc.uu.se/eds/sfd/

Definition at line 63 of file downloadElectronDensity.h.

## setEDSSuffix()

void BALL::VIEW::DownloadElectronDensity::setEDSSuffix | ( | String | s | ) |

inline

Set the suffix for the Uppsala Electron Density Server url
Standard: (.omap)

Definition at line 68 of file downloadElectronDensity.h.

## setEMDBPrefix()

void BALL::VIEW::DownloadElectronDensity::setEMDBPrefix | ( | String | s | ) |

inline

Set the prefix for the Electron Microscopy Data Bank url
Standard: http://www.eds.bmc.uu.se/eds/sfd/

Definition at line 73 of file downloadElectronDensity.h.

## setEMDBSuffix()

void BALL::VIEW::DownloadElectronDensity::setEMDBSuffix | ( | String | s | ) |

inline

Set the suffix for the Electron Microscopy Data Bank url
Standard: (.omap)

Definition at line 78 of file downloadElectronDensity.h.

## slotDownload

void BALL::VIEW::DownloadElectronDensity::slotDownload | ( |  | ) |

slot

## threadedDownload_()

bool BALL::VIEW::DownloadElectronDensity::threadedDownload_ | ( | const String & | url | ) |

protected

## typeChanged

void BALL::VIEW::DownloadElectronDensity::typeChanged | ( |  | ) |

slot

## writePreferences()

virtual void BALL::VIEW::DownloadElectronDensity::writePreferences | ( | INIFile & | inifile | ) |

virtual

Writes the widgets preferences to the INIFile. This method is called automatically by MainControl::aboutToExit at the end of the application.

Parameters

  inifile | the INIFile to contain the values

See also
  fetchPreferences

Reimplemented from BALL::VIEW::ModularWidget.

## Member Data Documentation

## aborted_

bool BALL::VIEW::DownloadElectronDensity::aborted_

protected

Definition at line 121 of file downloadElectronDensity.h.

## current_reply_

QNetworkReply* BALL::VIEW::DownloadElectronDensity::current_reply_

protected

Definition at line 134 of file downloadElectronDensity.h.

## eds_infix_

String BALL::VIEW::DownloadElectronDensity::eds_infix_

protected

Definition at line 130 of file downloadElectronDensity.h.

## eds_prefix_

String BALL::VIEW::DownloadElectronDensity::eds_prefix_

protected

Definition at line 130 of file downloadElectronDensity.h.

## eds_suffix_

String BALL::VIEW::DownloadElectronDensity::eds_suffix_

protected

Definition at line 130 of file downloadElectronDensity.h.

## emdb_infix_

String BALL::VIEW::DownloadElectronDensity::emdb_infix_

protected

Definition at line 131 of file downloadElectronDensity.h.

## emdb_prefix_

String BALL::VIEW::DownloadElectronDensity::emdb_prefix_

protected

Definition at line 131 of file downloadElectronDensity.h.

## emdb_suffix_

String BALL::VIEW::DownloadElectronDensity::emdb_suffix_

protected

Definition at line 131 of file downloadElectronDensity.h.

## error_

bool BALL::VIEW::DownloadElectronDensity::error_

protected

Definition at line 122 of file downloadElectronDensity.h.

## image_cache_

HashMap<String, QImage> BALL::VIEW::DownloadElectronDensity::image_cache_

protected

Definition at line 124 of file downloadElectronDensity.h.

## menu_id_

QAction* BALL::VIEW::DownloadElectronDensity::menu_id_

protected

Definition at line 129 of file downloadElectronDensity.h.

## network_manager_

QNetworkAccessManager* BALL::VIEW::DownloadElectronDensity::network_manager_

protected

Definition at line 138 of file downloadElectronDensity.h.

## progress_bar_

QProgressBar* BALL::VIEW::DownloadElectronDensity::progress_bar_

protected

Definition at line 137 of file downloadElectronDensity.h.

## unsupported_images_

HashSet<String> BALL::VIEW::DownloadElectronDensity::unsupported_images_

protected

Definition at line 127 of file downloadElectronDensity.h.